<script>
	import { isLight } from "@/stores/static"
	import { l, locale } from "@/i18n"

	export let post
</script>

<template lang="pug">
a.post-card( class:dark='{!$isLight}' href='{$l(`blog/${post.url}`)}' )
	.post-image
		.img.is-flex: img.lazy( data-src='//dcr.ae{post.promo}' )
	.post-name {post.name[$locale]}
</template>

<style lang="scss">
	.img {
		padding-top: 100%;
		position: relative;
		overflow: hidden;
		img {
			max-width: unset;
			height: 100%;
			margin: 0 auto;
			position: absolute;
			top: 0;
			right: -50%;
			left: -50%;
		}
	}

	.post {
		&-card {
			display: block;
			transition: box-shadow .2s ease-in-out;
			box-shadow: 
					0px 100px 80px rgba(0, 0, 0, 0), 
					0px 64.8148px 46.8519px rgba(0, 0, 0, 0), 
					0px 38.5185px 25.4815px rgba(0, 0, 0, 0), 
					0px 20px 13px rgba(0, 0, 0, 0), 
					0px 8.14815px 6.51852px rgba(0, 0, 0, 0), 
					0px 1.85185px 3.14815px rgba(0, 0, 0, 0);;
			&:hover {
				box-shadow: 
					0px 100px 80px rgba(0, 0, 0, 0.07), 
					0px 64.8148px 46.8519px rgba(0, 0, 0, 0.0531481), 
					0px 38.5185px 25.4815px rgba(0, 0, 0, 0.0425185), 
					0px 20px 13px rgba(0, 0, 0, 0.035), 
					0px 8.14815px 6.51852px rgba(0, 0, 0, 0.0274815), 
					0px 1.85185px 3.14815px rgba(0, 0, 0, 0.0168519);
			}
			&.dark {
				.post-name {
					color: $white;
				}
			}
		}
		&-name {
			font-size: 1.125rem;
			font-weight: 300;
			text-transform: uppercase;
			color: $black;
			padding: 1.5rem 1rem .5rem;
			transition: color .2s ease-in-out;
		}
	}
</style>